/*
* Name: Image Lightbox
* Developer: Andrew Connor
* Date: 5/6/2016
*/
define(function () {
  var install = function (holderElement, context) {
    var widgetElement = holderElement;
    console.log(widgetElement);
    var cell = context.getCell();
    widgetElement.setAttribute('data-clipboard-text', cell.value);

    $(widgetElement).tooltip({
      trigger: 'click'
    });

    var Clipboard = context.loadedDependencies[0];
    var clipboard = new Clipboard(widgetElement);
    clipboard.on('success', function(e) {
      setTimeout(function(){
          $(widgetElement).tooltip('hide');
      }, 1000);
    });
  };

  var uninstall = function (holderElement, context) {
  };

  return {
    callbacks: {
      events: {
        // adding and removing
        install: install,
        uninstall: uninstall
      }
    }
  };
});